## javax.faces.application
Class NavigationHandler

    java.lang.Object
      javax.faces.application.NavigationHandler

public abstract class NavigationHandler
extends java.lang.Object

Version:
  $Revision: 166994 $ $Date: 2004-07-01 18:12:40 -0400 (Thu, 01 Jul 2004) $
Author:
  Manfred Geiler (latest modification by $Author: mwessendorf $)

Constructor Summary
`NavigationHandler()`

Method Summary
`abstract void` `handleNavigation(FacesContext context, java.lang.String fromAction, java.lang.String outcome)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NavigationHandler

    public NavigationHandler()

Method Detail

### handleNavigation

    public abstract void handleNavigation(FacesContext context,
                                          java.lang.String fromAction,
                                          java.lang.String outcome)